Batch updates stores.
HTTP request
POST https://foodorderingaiagent.googleapis.com/v1beta/{parent=projects/*/locations/*/brands/*}/stores:batchUpdate
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent resource shared by all stores being updated. Format: projects/{project}/locations/{location}/brands/{brand} If this is set, the parent of all of the stores specified in |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"requests": [
{
object ( |
| Fields | |
|---|---|
requests[] |
Required. The request message specifying the resources to update. A maximum of 1000 stores can be modified in a batch. |
Response body
Response message for MenuService.BatchUpdateStores.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"stores": [
{
object ( |
| Fields | |
|---|---|
stores[] |
Stores updated. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
UpdateStoreRequest
Request message for MenuService.UpdateStore.
| JSON representation |
|---|
{
"store": {
object ( |
| Fields | |
|---|---|
store |
Required. The store to update. The store's |
updateMask |
Optional. The list of fields to update This is a comma-separated list of fully qualified names of fields. Example: |
allowMissing |
Optional. If set to true, and the store is not found, a new store will be created. In this situation, |